/* From Uiverse.io by gharsh11032000 */
.animated-button {
  position: relative;
  display: inline-block;
  padding: 12px 24px;
  border: none;
  font-size: 16px;
  background-color: inherit;
  border-radius: 100px;
  font-weight: 600;
  color: var(--text-color);
  box-shadow: 0 0 0 2px var(--text-color);
  cursor: pointer;
  overflow: hidden;
  transition: all 0.6s cubic-bezier(0.23, 1, 0.32, 1);
}

.animated-button span:last-child {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 20px;
  height: 20px;
  background-color: var(--text-color);
  color: var(--bg-color1);
  border-radius: 50%;
  opacity: 0;
  transition: all 0.8s cubic-bezier(0.23, 1, 0.32, 1);
}

.animated-button span:first-child {
  position: relative;
  z-index: 1;
}

.animated-button:hover {
  box-shadow: 0 0 0 5px #ffffff60;
  color: var(--bg-color1);
}

.animated-button:active {
  scale: 0.95;
}

.animated-button:hover span:last-child {
  width: 150px;
  height: 150px;
  opacity: 1;
}

/* From Uiverse.io by gharsh11032000 */
.animated-button1 {
  position: relative;
  display: inline-block;
  padding: 12px 24px;
  border: none;
  font-size: 16px;
  background-color: #16243e;
  border-radius: 100px;
  font-weight: 600;
  color: var(--text-color);
  box-shadow: 0 0 0 2px var(--text-color);
  cursor: pointer;
  border: 1px solid var(--bg-color1);
  overflow: hidden;
  transition: all 0.6s cubic-bezier(0.23, 1, 0.32, 1);
}

.animated-button1 span:last-child {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 20px;
  height: 20px;
  background-color: var(--text-color);
  color: var(--bg-color1);
  border-radius: 50%;
  opacity: 0;
  transition: all 0.8s cubic-bezier(0.23, 1, 0.32, 1);
}

.animated-button1 span:first-child {
  position: relative;
  z-index: 1;
}

.animated-button1:hover {
  box-shadow: 0 0 0 5px #ffffff60;
  color: var(--bg-color1);
  border: 1px solid var(--bg-color1);
}

.animated-button1:active {
  scale: 0.95;
}

.animated-button1:hover span:last-child {
  width: 150px;
  height: 150px;
  opacity: 1;
}
